SuperStrict

Framework brl.GLMax2D
Import brl.D3D7Max2D
Import brl.RamStream
Import brl.PNGLoader

Import dmaz.PacImage

'SetGraphicsDriver D3D9Max2DDriver()
Graphics 800,600
SetBlend ALPHABLEND

Incbin "pactwo.pac"
Incbin "pactwo.png"

' load the pac
Local pac:TPac = TPac.LoadPac("incbin::pactwo.pac")

' point to the set that's named "font"
Local font:TPacImage = TPacImage.GetImage(pac,"font")

Local i:Int
Local sep:Int = 0

SetClsColor 50,80,140
While Not KeyHit(KEY_ESCAPE)
	If KeyHit(KEY_C)
		sep = 1 - sep
	EndIf

	Cls
	' some center reference lines
	SetColor 40,70,130
	DrawLine 0,0,800,600
	DrawLine 0,600,800,0

	' some reference text
	SetColor 255,100,100
	font.DrawText "[C]hange style: "+sep,25,40,0,False


	' a rotating and scaling paragraph
	SetColor 255,255,255
	Local txt:String = 	"Centered Text dolor sit amet, consectetuer~n"..
					+"adipiscing elit, sed diam nonummy euismod~n"..
					+"dolore magna aliquam erat volutpat laoreet."
	Local x:Int = 800/2
	Local y:Int = 600/2
	Local w:Int = font.TextWidth(txt,0,False)/2
	Local h:Int = font.TextHeight(txt)/2

	
	i :- 1 ; If i < 0 Then i = 360
	SetTransform Sin(-i)*180,Sin(i)+.25,Sin(i)+.25

	If sep
		SetHandle font.TextWidth("Q")/2,font.TextHeight()/2
		font.DrawText txt,x-w,y,-14,True,sep
	Else
		SetHandle w,h
		font.DrawText txt,x,y,0,False,sep
	EndIf
		

	' reset all back to normal for other drawing
	SetHandle 0,0
	SetTransform 0,1,1

	Flip
Wend